Bug 656693 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: spectrum
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Depends On:
Blocks: 827166
TreeView+ depends on / blocked
 
Reported: 2010-11-23 23:42 UTC by Lennart Poettering
Modified: 2018-04-11 08:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-25 17:34:59 UTC
Type: ---


Attachments (Terms of Use)

Description Lennart Poettering 2010-11-23 23:42:51 UTC
Your package spectrum appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Matěj Cepl 2010-11-25 17:34:59 UTC
Fixed in http://koji.fedoraproject.org/koji/buildinfo?buildID=206509

Comment 2 Fedora Update System 2010-11-25 17:39:31 UTC
spectrum-1.4.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/spectrum-1.4.4-1.el5

Comment 3 Fedora Update System 2010-11-25 17:40:57 UTC
spectrum-1.4.4-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/spectrum-1.4.4-1.fc12

Comment 4 Fedora Update System 2010-11-25 17:42:07 UTC
spectrum-1.4.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/spectrum-1.4.4-1.fc13

Comment 5 Fedora Update System 2010-11-25 17:42:35 UTC
spectrum-1.4.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/spectrum-1.4.4-1.fc14

Comment 6 Kevin Kofler 2010-11-27 23:43:21 UTC
Uhm:
1. You should NOT do these changes on our stable releases, which DO NOT use tmpfs for /var/run, this should be changed only for Rawhide!
2. Even if you put the directory into /etc/tmpfiles.d, you'll still want it to be ghosted in /var/run.

Comment 7 Matěj Cepl 2010-11-28 19:15:36 UTC
(In reply to comment #6)
> Uhm:
> 1. You should NOT do these changes on our stable releases, which DO NOT use
> tmpfs for /var/run, this should be changed only for Rawhide!
> 2. Even if you put the directory into /etc/tmpfiles.d, you'll still want it to
> be ghosted in /var/run.

I screwed up in marking stable releases as closing this bug as well. In fact they don't. Both changes for /var/run are covered in %if

%if 0%{?fedora} >= 15
install -p -D %{SOURCE1} %{buildroot}%{_sysconfdir}/tmpfiles.d/spectrum.conf
%endif

...

%if 0%{?fedora} >= 15
%config(noreplace) %{_sysconfdir}/tmpfiles.d/spectrum.conf
%endif

and no, in the end and following discussion on fedora-devel, I have decided not to %ghost anything. There is no wrong, if the package actually makes the directory itself and owns it, the change is needed just for the case when it gets removed.

Comment 8 Fedora Update System 2010-12-11 21:55:58 UTC
spectrum-1.4.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-12-13 20:00:44 UTC
spectrum-1.4.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-12-13 20:02:52 UTC
spectrum-1.4.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.